import type { GraphQLEnumType, GraphQLInterfaceType, GraphQLList, GraphQLNonNull, GraphQLObjectType, GraphQLOutputType, GraphQLScalarType, GraphQLSchema, GraphQLUnionType } from 'graphql';
import type { MeshTransform, MeshTransformOptions, YamlConfig } from '@graphql-mesh/types';
export declare type GraphQLTypePointer = GraphQLList<GraphQLOutputType> | GraphQLNonNull<GraphQLScalarType | GraphQLObjectType | GraphQLInterfaceType | GraphQLUnionType | GraphQLEnumType | GraphQLList<GraphQLOutputType>>;
export default class NamingConventionTransform implements MeshTransform {
    noWrap: boolean;
    config: Omit<YamlConfig.NamingConventionTransformConfig, 'mode'>;
    constructor(options: MeshTransformOptions<YamlConfig.NamingConventionTransformConfig>);
    transformSchema(schema: GraphQLSchema): GraphQLSchema;
}
